The Alternative Csound Reference Manual
Previous |  |

# Index

# Symbols

!=, !=
#define, #define
  orchestra, #define
  score, Description
#include
  orchestra, #include
  score, Performance
#undef, #undef
  orchestra, #undef
  score, Description
$NAME, $NAME
  orchestra, $NAME
  score, Description
%, %
˜, Ramping
&&, &&
>, >
>=, >=
<, <
<=, <=
<CsInstruments>, Description
<CsMidifileB>, Description
<CsOptions>, Description
<CsoundSynthesizer>, Description
<CsSampleB>, Description
<CsScore>, Description
<CsVersion>, Description
(, Ramping
), Ramping
*, *
+, +
-, -
--aiff, Command-line Flags
--analysis-directory, Command-line Flags
--asciidisplay, Command-line Flags
--control-rate, Command-line Flags
--cscore, Command-line Flags
--defer-gen1, Command-line Flags
--dither, Command-line Flags
--extract-score, Command-line Flags
--format=24bit, Command-line Flags
--format=alaw, Command-line Flags
--format=float, Command-line Flags
--format=long, Command-line Flags
--format=rescale, Command-line Flags
--format=schar, Command-line Flags
--format=short, Command-line Flags
--format=uchar, Command-line Flags
--format=ulaw, Command-line Flags
--graphs, Command-line Flags
--hardwarebufsamps, Command-line Flags
--heartbeat, Command-line Flags
--help, Command-line Flags
--i-only, Command-line Flags
--input, Command-line Flags
--iobugsamps, Command-line Flags
--ircam, Command-line Flags
--keep-sorted-score, Command-line Flags
--list-opcodesNUM, Command-line Flags
--logfile, Command-line Flags
--messagelevel, Command-line Flags
--midi-device, Command-line Flags
--midifile, Command-line Flags
--nodisplays, Command-line Flags
--noheader, Command-line Flags
--nopeaks, Command-line Flags
--nosound, Command-line Flags
--notify, Command-line Flags
--output, Command-line Flags
--playonend, Command-line Flags
--pollrate, Command-line Flags
--postscriptdisplay, Command-line Flags
--profile-rate, Command-line Flags
--progress-rate, Command-line Flags
--rewrite, Command-line Flags
--sample-directory, Command-line Flags
--sample-rate, Command-line Flags
--save-midi, Command-line Flags
--sched, Command-line Flags
--score-in, Command-line Flags
--screen-buffer, Command-line Flags
--sound-directory, Command-line Flags
--tempo=NUM, Command-line Flags
--terminate-on-midi, Command-line Flags
--utility, Command-line Flags
--verbose, Command-line Flags
--volume, Command-line Flags
--wave, Command-line Flags
-3, Command-line Flags
-8, Command-line Flags
-@, Command-line Flags
-A, Command-line Flags
-B, Command-line Flags
-C, Command-line Flags
-D, Command-line Flags
-E, Command-line Flags
-F, Command-line Flags
-G, Command-line Flags
-H, Command-line Flags
-I, Command-line Flags
-J, Command-line Flags
-K, Command-line Flags
-L, Command-line Flags
-M, Command-line Flags
-N, Command-line Flags
-O, Command-line Flags
-P, Command-line Flags
-Q, Command-line Flags
-R, Command-line Flags
-s, Command-line Flags
-T, Command-line Flags
-t0, Command-line Flags
-U, Command-line Flags
-V, Command-line Flags
-W, Command-line Flags
-X, Command-line Flags
-Y, Command-line Flags
-Z, Command-line Flags
.csd, Description
.csoundrc, Description
/, /
0dbfs, 0dbfs
:, !=, >, >=, <, <=, ==
=, =
==, ==
?, !=, >, >=, <, <=, ==
@, Evaluation of Expressions
@@, Evaluation of Expressions
^, ^
{, Ramping
||, ||
}, Ramping

# A

a, a
a statement, a Statement (or Advance Statement)
abetarand, abetarand
abexprnd, abexprnd
abs, abs
acauchy, acauchy
active, active
adsr, adsr
adsyn, adsyn
adsynt, adsynt
advance statement, a Statement (or Advance Statement)
aexprand, aexprand
aftouch, aftouch
agauss, agauss
agogobel, agogobel
alinrand, alinrand
alpass, alpass
ampdb, ampdb
ampdbfs, ampdbfs
ampmidi, ampmidi
apcauchy, apcauchy
apoisson, apoisson
apow, apow
areson, areson
aresonk, aresonk
atone, atone
atonek, atonek
atonex, atonex
atrirand, atrirand
aunirand, aunirand
aweibull, aweibull

# B

b statement, b Statement
babo, babo
balance, balance
bamboo, bamboo
bbcutm, bbcutm
bbcuts, bbcuts
betarand, betarand
bexprnd, bexprnd
biquad, biquad
biquada, biquada
birnd, birnd
bqrez, bqrez
bug reports
  code, Bug Reports
butbp, butbp
butbr, butbr
buthp, buthp
butlp, butlp
butterbp, butterbp
butterbr, butterbr
butterhp, butterhp
butterlp, butterlp
button, button
buzz, buzz

# C

cabasa, cabasa
cauchy, cauchy
cent, cent
cggoto, cggoto
chanctrl, chanctrl
checkbox, checkbox
cigoto, cigoto
ckgoto, ckgoto
clear, clear
clfilt, clfilt
clip, clip
clock, clock
clockoff, clockoff
clockon, clockon
cngoto, cngoto
comb, comb
conditional expressions, !=, >, >=, <, <=, ==
control, control
convle, convle
convolve, convolve
cos, cos
cosh, cosh
cosinv, cosinv
cps2pch, cps2pch
cpsmidi, cpsmidi
cpsmidib, cpsmidib
cpsoct, cpsoct
cpspch, cpspch
cpstmid, cpstmid
cpstun, cpstun
cpstuni, cpstuni
cpsxpch, cpsxpch
cpuprc, cpuprc
cross2, cross2
crunch, crunch
Cscore, Cscore
CSSTRNGS, Directories and Files
ctrl14, ctrl14
ctrl21, ctrl21
ctrl7, ctrl7
ctrlinit, ctrlinit
cuserrnd, cuserrnd
cvanal, cvanal

# D

dam, dam
db, db
dbamp, dbamp
dbfsamp, dbfsamp
dcblock, dcblock
dconv, dconv
delay, delay
delay1, delay1
delayr, delayr
delayw, delayw
deltap, deltap
deltape, deltap3
deltapi, deltapi
deltapn, deltapn
deltapx, deltapx
deltapxw, deltapxw
diff, diff
diskin, diskin
dispfft, dispfft
display, display
distort1, distort1
divz, divz
dnoise, dnoise
downsamp, downsamp
dripwater, dripwater
dumpk, dumpk
dumpk2, dumpk2
dumpk3, dumpk3
dumpk4, dumpk4
duserrnd, duserrnd

# E

e statement, e Statement
else, else
elseif, elseif
endif, endif
endin, endin
endop, endop
envlpx, envlpx
envlpxr, envlpxr
event, event
exp, exp
expon, expon
exprand, exprand
expseg, expseg
expsega, expsega
expsegr, expsegr
extract, The Extract Feature

# F

f statement, f Statement (or Function Table Statement)
filelen, filelen
filenchnls, filenchnls
filepeak, filepeak
filesr, filesr
filter2, filter2
fin, fin
fini, fini
fink, fink
fiopen, fiopen
flags, Description
flanger, flanger
flashtxt, flashtxt
FLbox, FLbox
FLbutBank, FLbutBank
FLbutton, FLbutton
FLcolor, FLcolor
FLcolor2, FLcolor2
FLcount, FLcount
FLgetsnap, FLgetsnap
FLgroup, FLgroup
FLgroupEnd, FLgroupEnd
FLhide, FLhide
FLjoy, FLjoy
FLkeyb, FLkeyb
FLknob, FLknob
FLlabel, FLlabel
FLloadsnap, FLloadsnap
FLpack, FLpack
FLpackEnd, FLpackEnd
FLpanel, FLpanel
FLpanelEnd, FLpanelEnd
FLprintk, FLprintk
FLprintk2, FLprintk2
FLroller, FLroller
FLrun, FLrun
FLsavesnap, FLsavesnap
FLscroll, FLscroll
FLscrollEnd, FLscrollEnd
FLsetAlign, FLsetAlign
FLsetBox, FLsetBox
FLsetColor, FLsetColor
FLsetColor2, FLsetColor2
FLsetFont, FLsetFont
FLsetPosition, FLsetPosition
FLsetSize, FLsetSize
FLsetsnap, FLsetsnap
FLsetText, FLsetText
FLsetTextColor, FLsetTextColor
FLsetTextSize, FLsetTextSize
FLsetTextType, FLsetTextType
FLsetVal, FLsetVal
FLsetVal_i, FLsetVal_i
FLshow, FLshow
FLslidBnk, FLslidBnk
FLslider, FLslider
FLtabs, FLtabs
FLtabsEnd, FLtabsEnd
FLtext, FLtext
FLupdate, FLupdate
FLvalue, FLvalue
fmb3, fmb3
fmbell, fmbell
fmmetal, fmmetal
fmpercfl, fmpercfl
fmrhode, fmrhode
fmvoice, fmvoice
fmwurlie, fmwurlie
fof, fof
fof2, fof2
fog, fog
fold, fold
follow, follow
follow2, follow2
foscil, foscil
foscili, foscili
fout, fout
fouti, fouti
foutir, foutir
foutk, foutk
fprintks, fprintks
fprints, fprints
frac, frac
ftchnls, ftchnls
ftgen, ftgen
ftlen, ftlen
ftload, ftload
ftloadk, ftloadk
ftlptim, ftlptim
ftmorf, ftmorf
ftsave, ftsave
ftsavek, ftsavek
ftsr, ftsr
function table statement, f Statement (or Function Table Statement)

# G

gain, gain
gauss, gauss
gbuzz, gbuzz
GEN01, GEN01
GEN02, GEN02
GEN03, GEN03
GEN04, GEN04
GEN05, GEN05
GEN06, GEN06
GEN07, GEN07
GEN08, GEN08
GEN09, GEN09
GEN10, GEN10
GEN11, GEN11
GEN12, GEN12
GEN13, GEN13
GEN14, GEN14
GEN15, GEN15
GEN16, GEN16
GEN17, GEN17
GEN18, GEN18
GEN19, GEN19
GEN20, GEN20
GEN21, GEN21
GEN22, GEN22
GEN23, GEN23
GEN24, GEN24
GEN25, GEN25
GEN27, GEN27
GEN28, GEN28
GEN30, GEN30
GEN31, GEN31
GEN32, GEN32
GEN33, GEN33
GEN34, GEN34
GEN40, GEN40
GEN41, GEN41
GEN42, GEN42
gogobel, gogobel
goto, goto
grain, grain
grain2, grain2
grain3, grain3
granule, granule
guiro, guiro

# H

harmon, harmon
hetro, hetro
hilbert, hilbert
hrtfer, hrtfer
hsboscil, hsboscil

# I

i, i
i statement, i Statement (Instrument or Note Statement)
ibetarand, ibetarand
ibexprnd, ibexprnd
icauchy, icauchy
ictrl14, ictrl14
ictrl21, ictrl21
ictrl7, ictrl7
iexprand, iexprand
if, if
igauss, igauss
igoto, igoto
ihold, ihold
ilinrand, ilinrand
imidic14, imidic14
imidic21, imidic21
imidic7, imidic7
in, in
in32, in32
INCDIR, Directories and Files
inch, inch
inh, inh
init, init
initc14, initc14
initc21, initc21
initc7, initc7
ink, ink
ino, ino
inq, inq
ins, ins
instimek, instimek
instimes, instimes
instr, instr
instrument statement, i Statement (Instrument or Note Statement)
int, int
integ, integ
interp, interp
invalue, invalue
inx, inx
inz, inz
ioff, ioff
ion, ion
iondur, iondur
iondur2, iondur2
ioutat, ioutat
ioutc, ioutc
ioutc14, ioutc14
ioutpat, ioutpat
ioutpb, ioutpb
ioutpc, ioutpc
ipcauchy, ipcauchy
ipoisson, ipoisson
ipow, ipow
is16b14, is16b14
is32b14, is32b14
islider16, islider16
islider32, islider32
islider64, islider64
islider8, islider8
itablecopy, itablecopy
itablegpw, itablegpw
itablemix, itablemix
itablew, itablew
itrirand, itrirand
iunirand, iunirand
iweibull, iweibull

# J

jitter, jitter
jitter2, jitter2
jspline, jspline

# K

kbetarand, kbetarand
kbexprnd, kbexprnd
kcauchy, kcauchy
kdump, kdump
kdump2, kdump2
kdump3, kdump3
kdump4, kdump4
kexprand, kexprand
kfilter2, kfilter2
kgauss, kgauss
kgoto, kgoto
klinrand, klinrand
kon, kon
koutat, koutat
koutc, koutc
koutc14, koutc14
koutpat, koutpat
koutpb, koutpb
koutpc, koutpc
kpcauchy, kpcauchy
kpoisson, kpoisson
kpow, kpow
kr, kr
kread, kread
kread2, kread2
kread3, kread3
kread4, kread4
ksmps, ksmps
ktableseg, ktableseg
ktrirand, ktrirand
kunirand, kunirand
kweibull, kweibull

# L

lfo, lfo
limit, limit
line, line
linen, linen
linenr, linenr
lineto, lineto
linrand, linrand
linseg, linseg
linsegr, linsegr
locsend, locsend
locsig, locsig
log, log
log10, log10
logbtwo, logbtwo
loopseg, loopseg
lorenz, lorenz
loscil, loscil
loscil3, loscil3
lowpass2, lowpass2
lowres, lowres
lowresx, lowresx
lpanal, lpanal
lpf18, lpf18
lpfreson, lpfreson
lphasor, lphasor
lpinterp, lpinterp
lposcil, lposcil
lposcil3, lposcil3
lpread, lpread
lpreson, lpreson
lpshold, lpshold
lpslot, lpslot

# M

m statement, m Statement (Mark Statement)
mac, mac
maca, maca
macros
  orchestra, #define, #undef, $NAME
  score, Description
madsr, madsr
mandol, mandol
marimba, marimba
mark statement, m Statement (Mark Statement)
massign, massign
maxalloc, maxalloc
mclock, mclock
mdelay, mdelay
midic14, midic14
midic21, midic21
midic7, midic7
midichannelaftertouch, midichannelaftertouch
midichn, midichn
midicontrolchange, midicontrolchange
midictrl, midictrl
mididefault, mididefault
midiin, midiin
midinoteoff, midinoteoff
midinoteoncps, midinoteoncps
midinoteonkey, midinoteonkey
midinoteonoct, midinoteonoct
midinoteonpch, midinoteonpch
midion, midion
midion2, midion2
midiout, midiout
midipitchbend, midipitchbend
midipolyaftertouch, midipolyaftertouch
midiprogramchange, midiprogramchange
mirror, mirror
modules, Adding your own Cmodules to Csound
moog, moog
moogvcf, moogvcf
moscil, moscil
mpulse, mpulse
mrtmsg, mrtmsg
multiple file orchestras, #include
multiple file scores, Performance
multitap, multitap
mute, mute
mxadsr, mxadsr

# N

n statement, n Statement
nchnls, nchnls
nestedap, nestedap
nlfilt, nlfilt
noise, noise
note statement, i Statement (Instrument or Note Statement)
noteoff, noteoff
noteon, noteon
noteondur, noteondur
noteondur2, noteondur2
notnum, notnum
np, Next-P and Previous-P Symbols
nreverb, nreverb
nrpn, nrpn
nsamp, nsamp
nstrnum, nstrnum
ntrpol, ntrpol

# O

octave, octave
octcps, octcps
octmidi, octmidi
octmidib, octmidib
octpch, octpch
opcode, opcode
oscbnk, oscbnk
oscil, oscil
oscil1, oscil1
oscil1i, oscil1i
oscil3, oscil3
oscili, oscili
oscilikt, oscilikt
osciliktp, osciliktp
oscilikts, oscilikts
osciln, osciln
oscils, oscils
oscilx, oscilx
out, out
out32, out32
outc, outc
outch, outch
outh, outh
outiat, outiat
outic, outic
outic14, outic14
outipat, outipat
outipb, outipb
outipc, outipc
outk, outk
outkat, outkat
outkc, outkc
outkc14, outkc14
outkpat, outkpat
outkpb, outkpb
outkpc, outkpc
outo, outo
outq, outq
outq1, outq1
outq2, outq2
outq3, outq3
outq4, outq4
outs, outs
outs1, outs1
outs2, outs2
outvalue, outvalue
outx, outx
outz, outz

# P

p, p
pan, pan
pareq, pareq
pcauchy, pcauchy
pchbend, pchbend
pchmidi, pchmidi
pchmidib, pchmidib
pchoct, pchoct
peak, peak
peakk, peakk
pgmassign, pgmassign
phaser1, phaser1
phaser2, phaser2
phasor, phasor
phasorbnk, phasorbnk
pinkish, pinkish
pitch, pitch
pitchamdf, pitchamdf
planet, planet
pluck, pluck
poisson, poisson
polyaft, polyaft
port, port
portk, portk
poscil, poscil
poscil3, poscil3
pow, pow
powoftwo, powoftwo
pp, Next-P and Previous-P Symbols
prealloc, prealloc
print, print
printk, printk
printk2, printk2
printks, printks
prints, prints
product, product
pset, pset
pvadd, pvadd
pvanal, pvanal
pvbufread, pvbufread
pvcross, pvcross
pvinterp, pvinterp
pvlook, pvlook
pvoc, pvoc
pvread, pvread
pvsadsyn, pvsadsyn
pvsanal, pvsanal
pvscross, pvscross
pvsfread, pvsfread
pvsftr, pvsftr
pvsftw, pvsftw
pvsinfo, pvsinfo
pvsmaska, pvsmaska
pvsynth, pvsynth

# Q

q statement, q Statement

# R

r statement, r Statement (Repeat Statement)
rand, rand
randh, randh
randi, randi
random, random
randomh, randomh
randomi, randomi
readclock, readclock
readk, readk
readk2, readk2
readk3, readk3
readk4, readk4
reinit, reinit
release, release
repeat statement, r Statement (Repeat Statement)
repluck, repluck
reson, reson
resonk, resonk
resonr, resonr
resonx, resonx
resony, resony
resonz, resonz
reverb, reverb
reverb2, reverb2
rezzy, rezzy
rigoto, rigoto
rireturn, rireturn
rms, rms
rnd, rnd
rnd31, rnd31
rspline, rspline
rtclock, rtclock

# S

s statement, s Statement
s16b14, s16b14
s32b14, s32b14
SADIR, Directories and Files
samphold, samphold
sandpaper, sandpaper
scanhammer, scanhammer
scans, scans
scantable, scantable
scanu, scanu
schedkwhen, schedkwhen
schedkwhennamed, schedkwhennamed
schedule, schedule
schedwhen, schedwhen
score
  carry, Carry
  macros, Description
  next-p, Next-P and Previous-P Symbols
  previous-p, Next-P and Previous-P Symbols
  ramping, Ramping
  sort, Sort
  tempo, Tempo
Scsort, Independent Pre-Processing with Scsort
sdif2ad, sdif2ad
seed, seed
sekere, sekere
semitone, semitone
sense, sense
sensekey, sensekey
seqtime, seqtime
setctrl, setctrl
setksmps, setksmps
SFDIR, Directories and Files
sfilist, sfilist
sfinstr, sfinstr
sfinstr3, sfinstr3
sfinstr3m, sfinstr3m
sfinstrm, sfinstrm
sfload, sfload
sfpassign, sfpassign
sfplay, sfplay
sfplay3, sfplay3
sfplay3m, sfplay3m
sfplaym, sfplaym
sfplist, sfplist
sfpreset, sfpreset
shaker, shaker
sin, sin
sinh, sinh
sininv, sininv
sleighbells, sleighbells
slider16, slider16
slider16f, slider16f
slider32, slider32
slider32f, slider32f
slider64, slider64
slider64f, slider64f
slider8, slider8
slider8f, slider8f
sndinfo, sndinfo
sndwarp, sndwarp
sndwarpst, sndwarpst
soundin, soundin
soundout, soundout
space, space
spat3d, spat3d
spat3di, spat3di
spat3dt, spat3dt
spdist, spdist
specaddm, specaddm
specdiff, specdiff
specdisp, specdisp
specfilt, specfilt
spechist, spechist
specptrk, specptrk
specscal, specscal
specsum, specsum
spectrum, spectrum
spsend, spsend
sqrt, sqrt
sr, sr
srconv, srconv
SSDIR, Directories and Files
stix, stix
streson, streson
strset, strset
subinstr, subinstr
subinstrinit, subinstrinit
sum, sum
svfilter, svfilter

# T

t statement, t Statement (Tempo Statement)
table, table
table3, table3
tablecopy, tablecopy
tablegpw, tablegpw
tablei, tablei
tableicopy, tableicopy
tableigpw, tableigpw
tableikt, tableikt
tableimix, tableimix
tableiw, tableiw
tablekt, tablekt
tablemix, tablemix
tableng, tableng
tablera, tablera
tables
  stored function, Function tables
tableseg, tableseg
tablew, tablew
tablewa, tablewa
tablewkt, tablewkt
tablexkt, tablexkt
tablexseg, tablexseg
tambourine, tambourine
tan, tan
tanh, tanh
taninv, taninv
taninv2, taninv2
tbvcf, tbvcf
tempest, tempest
tempo, tempo
tempo statement, t Statement (Tempo Statement)
tempoval, tempoval
tigoto, tigoto
timeinstk, timeinstk
timeinsts, timeinsts
timek, timek
times, times
timout, timout
tival, tival
tlineto, tlineto
tone, tone
tonek, tonek
tonex, tonex
transeg, transeg
trigger, trigger
trigseq, trigseq
trirand, trirand
turnoff, turnoff
turnon, turnon

# U

Unified File Format, Description
unirand, unirand
upsamp, upsamp
urd, urd

# V

v statement, v Statement
valpass, valpass
vbap16, vbap16
vbap16move, vbap16move
vbap4, vbap4
vbap4move, vbap4move
vbap8, vbap8
vbap8move, vbap8move
vbaplsinit, vbaplsinit
vbapz, vbapz
vbapzmove, vbapzmove
vco, vco
vco2, vco2
vco2ft, vco2ft
vco2ift, vco2ift
vco2init, vco2init
vcomb, vcomb
vdelay, vdelay
vdelay3, vdelay3
vdelayx, vdelayx
vdelayxq, vdelayxq
vdelayxs, vdelayxs
vdelayxw, vdelayxw
vdelayxwq, vdelayxwq
vdelayxws, vdelayxws
veloc, veloc
vibes, vibes
vibr, vibr
vibrato, vibrato
vincr, vincr
vlowres, vlowres
voice, voice
vpvoc, vpvoc

# W

waveset, waveset
weibull, weibull
wgbow, wgbow
wgbowedbar, wgbowedbar
wgbrass, wgbrass
wgclar, wgclar
wgflute, wgflute
wgpluck, wgpluck
wgpluck2, wgpluck2
wguide1, wguide1
wguide2, wguide2
wrap, wrap
wterrain, wterrain

# X

x statement, x Statement
x-class noise generators, betarand, bexprnd, cauchy, exprand, gauss, linrand, pcauchy, poisson, trirand, unirand, weibull
xadsr, xadsr
xin, xin
xout, xout
xscanmap, xscanmap
xscans, xscans
xscansmap, xscansmap
xscanu, xscanu
xtratim, xtratim
xyin, xyin

# Z

zacl, zacl
zakinit, zakinit
zamod, zamod
zar, zar
zarg, zarg
zaw, zaw
zawm, zawm
zfilter2, zfilter2
zir, zir
ziw, ziw
ziwm, ziwm
zkcl, zkcl
zkmod, zkmod
zkr, zkr
zkw, zkw
zkwm, zkwm

Previous | Home |
Quick Reference |  |